Skip to main content
GET
Get user's payment methods

Authorizations

X-API-Key
string
header
required

API key for authentication

Path Parameters

userId
string
required

The unique identifier of the user whose payment methods should be retrieved

Response

OK

id
string
required

Unique identifier for this payment method in our system

Example:

"STRIPE-7844364278189399"

paymentMethod
enum<string>
required

Payment method provider/type.

Available options:
CREDIT_CARD
Example:

"CREDIT_CARD"

brand
string
required

Card network brand.

Example:

"visa"

countryCode
string
required

ISO 3166-1 alpha-2

Example:

"DE"

expMonth
integer<int32>
required

Card expiration month (1-12).

Example:

12

expYear
integer<int32>
required

Card expiration year (YYYY).

Example:

2025

last4
string
required

Last four digits of the card number.

Example:

"1234"

displayBrand
string

The brand to use when displaying the card, this accounts for customer's brand choice on dual-branded cards. Stripe documentation: EU regulation: Co-badged cards compliance & Stripe PaymentMethod.card.display_brand

Example:

"visa"